geronimo-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Scott Ryan <sryan...@gmail.com>
Subject Re: Atomic Integer missing when deploying Grails 1.3.4 application to Geronimo 2.2
Date Tue, 26 Oct 2010 19:20:15 GMT
I tried the suggestion and got the following error which i bet is due to 2.2 having a very
old version of groovy.  i am going to try to upgrade to Geronimo 3.0 M1 and see if that gives
me better results.  I am trying to get some form of tomcat with a console which is how I got
to gernonimo and the ability to add and manage data source connections from that console.
 Also need to use ActiveMQ and Camel.  I will update if 3.0 has any better luck


java.lang.NoSuchMethodError: groovy.lang.MetaClassImpl.createConstructorSite(Lorg/codehaus/groovy/runtime/callsite/CallSite;[Ljava/lang/Object;)Lorg/codehaus/groovy/runtime/callsite/CallSite;
	at org.codehaus.groovy.runtime.callsite.CallSiteArray.createCallConstructorSite(CallSiteArray.java:73)
	at org.codehaus.groovy.runtime.callsite.CallSiteArray.defaultCallConstructor(CallSiteArray.java:52)
	at org.codehaus.groovy.runtime.callsite.AbstractCallSite.callConstructor(AbstractCallSite.java:192)
	at org.codehaus.groovy.runtime.callsite.AbstractCallSite.callConstructor(AbstractCallSite.java:196)


Scott Ryan


On Oct 20, 2010, at 10:19 PM, Kevan Miller wrote:

> 
> On Oct 19, 2010, at 12:57 AM, Jarek Gawor wrote:
> 
>> See if adding another filter for org.codehaus.groovy package to
>> geronimo-web.xml helps:
>> 
>> <filter>org.codehaus.groovy</filter>
> 
> Scott, 
> Have you had a chance to try Jarek's suggestion? I'd say there's a decent chance it will
fix your problem. If you can't point us to a grails application to test with, I'd think somebody
would take a look. Would be interested to run against Geronimo trunk, also.
> 
>> 
>> Jarek
>> 
>> On Mon, Oct 18, 2010 at 5:06 PM, Scott Ryan <sryan737@gmail.com> wrote:
> 
> <snip>
> 
>>> 
>>> Do I have a mismatch in the server I am trying to use since groovy has been
>>> upgraded in grails recently?
> 
> That's what I would assume. Geronimo 2.2 is embeds Groovy 1.5.6.
> 
> --kevan


Mime
View raw message